package com.trade.service.contract.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("生成合同输入")
public class ContractGenInput {

    @ApiModelProperty("用户ID")
    private Long userId;
    @ApiModelProperty(name = "业务类型", example = "AnnualPack")
    private String bizType;
    @ApiModelProperty("业务编号")
    private String bizNo;
    @ApiModelProperty("合同文本生产信息")
    private List<ContractGenInputItem> items;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getBizNo() {
        return bizNo;
    }

    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }

    public List<ContractGenInputItem> getItems() {
        return items;
    }

    public void setItems(List<ContractGenInputItem> items) {
        this.items = items;
    }
}
